/*jslint vars: true, plusplus: true, devel: true, nomen: true, regexp: true, indent: 4, maxerr: 50 */
/*global $, window, location, CSInterface, SystemPath, themeManager*/

(function () {
    'use strict';

    var csInterface = new CSInterface();
        
    // Reloads extension panel
    function reloadPanel() {
        location.reload();
    }
    
    
    function init() {
        var closed = 1;
        themeManager.init();
        
        $("#btn_generate").click(function () {
            csInterface.evalScript('setup()');
        });
         $("#btn_export").click(function () {
            csInterface.evalScript('exportdpi()');
        });
        $("#close").click(function () {
            closed = 0;
            $("#updater").fadeOut(200);
        });
        $("#update_notify").click(function () {
            if (closed==1) {
            $("#updater").fadeOut(100);
            gotourl("http://samuraydesign.com/projects/samuray-slice-maker/update.html");
        } else {}});
        $("#homepage").click(function () {
            gotourl("http://samuraydesign.com");
        });
        
        
        function gotourl(url) {
            var csInterface = new CSInterface();
            var rootDir = "/";
            var isWindows = window.navigator.platform.toLowerCase().indexOf("win") > -1;
 
            if (isWindows) {
                    rootDir = csInterface.getSystemPath(SystemPath.COMMON_FILES).substring(0, 3);
            }
 
            var processPath = "/usr/bin/open";
            if (isWindows) {
            processPath = rootDir + "Windows/explorer.exe";
            }
            window.cep.process.createProcess(processPath, url);
        }
    }
    init();

}());

function Checkver(data) {
    var currentversion="1.2";
    if (currentversion!=data.Vers) {
        document.getElementById("updater").style.visibility= 'visible';
    }
}